## org.apache.mahout.cf.taste.model
Interface JDBCDataModel

All Superinterfaces:
  DataModel, Refreshable, Serializable

    public interface JDBCDataModel

extends DataModel

Method Summary
`FastByIDMap<FastIDSet>` `exportWithIDsOnly()`
`FastByIDMap<PreferenceArray>` `exportWithPrefs()` Hmm, should this exist elsewhere? seems like most relevant for a DB implementation, which is not in memory, which might want to export to memory.
`DataSource` `getDataSource()`

Methods inherited from interface org.apache.mahout.cf.taste.model.DataModel
`getItemIDs, getItemIDsFromUser, getMaxPreference, getMinPreference, getNumItems, getNumUsers, getNumUsersWithPreferenceFor, getNumUsersWithPreferenceFor, getPreferencesForItem, getPreferencesFromUser, getPreferenceTime, getPreferenceValue, getUserIDs, hasPreferenceValues, removePreference, setPreference`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### getDataSource

    DataSource getDataSource()

  Returns:
    `DataSource` underlying this model

### exportWithPrefs

    FastByIDMap<PreferenceArray> exportWithPrefs()
                                                 throws TasteException

  Hmm, should this exist elsewhere? seems like most relevant for a DB implementation, which is not in memory, which might want to export to memory.

  Returns:
    all user preference data
  Throws:
    `TasteException`

### exportWithIDsOnly

    FastByIDMap<FastIDSet> exportWithIDsOnly()
                                             throws TasteException

  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.